- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# purefb_network – Manage network interfaces in a Pure Storage FlashBlade

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module manages network interfaces on Pure Storage FlashBlade.

- When creating a network interface a subnet must already exist with a network prefix that covers the IP address of the interface being created.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- purity_fb >= 1.1

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
address string |  | IP address of interface.
api_token string |  | FlashBlade API token for admin privileged user.
fb_url string |  | FlashBlade management IP address or Hostname.
itype string | Choices: vip ← | Type of interface.
name string / required |  | Interface Name.
services string | Choices: data ← | Define which services are configured for the interfaces.
state string | Choices: present ← absent | Create, delete or modifies a network interface.

## Notes

Note

- This module requires the `purity_fb` Python library

- You must set `PUREFB_URL` and `PUREFB_API` environment variables if fb_url and api_token arguments are not passed to the module directly

## Examples

    - name: Create new network interface named foo
      purefb_network:
        name: foo
        address: 10.21.200.23
        state: present
        fb_url: 10.10.10.2
        api_token: T-55a68eb5-c785-4720-a2ca-8b03903bf641

    - name: Change IP address of network interface named foo
      purefb_network:
        name: foo
        state: present
        address: 10.21.200.123
        fb_url: 10.10.10.2
        api_token: T-55a68eb5-c785-4720-a2ca-8b03903bf641

    - name: Delete network interface named foo
      purefb_network:
        name: foo
        state: absent
        fb_url: 10.10.10.2
        api_token: T-55a68eb5-c785-4720-a2ca-8b03903bf641

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.